Package com.logicaldoc.core.searchengine

# Enum Class HitField

java.lang.Object
java.lang.Enum<HitField>
com.logicaldoc.core.searchengine.HitField

All Implemented Interfaces:
  `Serializable`, `Comparable<HitField>`, `Constable`

public enum HitField extends Enum<HitField>
Models the field names that can be stored in the index

Since:
  6.5
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMENT`
`CONTENT`
`CREATION`
`CUSTOM_ID`
`DATE`
`DOC_REF`
`FILENAME`
`FOLDER_ID`
`FOLDER_NAME`
`ID`
`LANGUAGE`
`NOTES`
`SIZE`
`TAGS`
`TEMPLATE_ID`
`TENANT_ID`
`TITLE`

## Method Summary

Modifier and Type
Method
Description
`static Set<HitField>`
`all()`
`String`
`getName()`
`static String`
`searchList()`
HitField list suitable for searches
`String`
`toString()`
`static HitField`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HitField[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ID

public static final HitField ID

### FILENAME

public static final HitField FILENAME

### TITLE

public static final HitField TITLE

### FOLDER_ID

public static final HitField FOLDER_ID

### CONTENT

public static final HitField CONTENT

### TAGS

public static final HitField TAGS

### TEMPLATE_ID

public static final HitField TEMPLATE_ID

### FOLDER_NAME

public static final HitField FOLDER_NAME

### CREATION

public static final HitField CREATION

### DATE

public static final HitField DATE

### SIZE

public static final HitField SIZE

### CUSTOM_ID

public static final HitField CUSTOM_ID

### DOC_REF

public static final HitField DOC_REF

### COMMENT

public static final HitField COMMENT

### LANGUAGE

public static final HitField LANGUAGE

### TENANT_ID

public static final HitField TENANT_ID

### NOTES

public static final HitField NOTES

## Method Details

### values

public static HitField[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HitField valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### all

public static Set<HitField> all()

### searchList

public static String searchList()
HitField list suitable for searches

Returns:
  list of fields in a single string representation

### toString

public String toString()

Overrides:
  `toString` in class `Enum<HitField>`